commit:     3cae37ebf5fb0a4a240d24ddeb01c9e2f4f57dd0
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 17 09:03:24 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Oct 17 09:05:00 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cae37eb

x11-misc/lightdm-gtk-greeter: Bump to version 2.0.2

Package-Manager: portage-2.3.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 x11-misc/lightdm-gtk-greeter/Manifest              |  1 +
 .../lightdm-gtk-greeter-2.0.2.ebuild               | 63 ++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/x11-misc/lightdm-gtk-greeter/Manifest 
b/x11-misc/lightdm-gtk-greeter/Manifest
index 105dea5..03003dc 100644
--- a/x11-misc/lightdm-gtk-greeter/Manifest
+++ b/x11-misc/lightdm-gtk-greeter/Manifest
@@ -2,3 +2,4 @@ DIST lightdm-gentoo-patch-2.tar.gz 695543 SHA256 
5733622609afa67c82e8b6bc4915d6f
 DIST lightdm-gtk-greeter-1.9.0.tar.gz 451297 SHA256 
a9103b4aa161feae99a2a62b716a157cde3817e93cee7f73cde2796a12396938 SHA512 
759a0f3c8b1fcfc8a6926276243e66675762ae533e20ea95d10e0159023e2252f5b773bdfc65dda6a6a2285e2540a578c7fd2682b108c58791feac9ec8af6885
 WHIRLPOOL 
f4de03e81eb4568f18ccab94222375a6f4d210b7f083506b0ce6e72697a0dc4fd9ed7a867469e101dfb9b47661fb9f5c88c36298a26083175909fbd1aa3be2f4
 DIST lightdm-gtk-greeter-2.0.0.tar.gz 453687 SHA256 
4c0a0121d1ec82c85c8aed4ad80ebd48ddc56d9bace31da72423bfd330c26484 SHA512 
0c6b61ed09d3edf870e8b4316c6a8b2ff2656cf61ca00dfd1a9c37b87e0f4f58f5e875fd7477e36f54f32ce2304ce870ecc46325fa5aeb20d82d0d6e25b0190c
 WHIRLPOOL 
b69f8a1e48968c403a0c2532dd306dfb7d09020c20a99e1ff817c10562f9f80fefa57400d4bdcfd8ee348324e89bc1c1320a4917542a2fe914fac5f3f2692dab
 DIST lightdm-gtk-greeter-2.0.1.tar.gz 467375 SHA256 
3264008c8f51323413c2a6ac16523930b75f4ecdde6da8b6fe47ec9bffd9310c SHA512 
fd41cae828f7feafb462143519500d0d98a8b6729eb5ffd9be4247d47fa0074fa00ac9892c8cbdda9d7656e9d6949ae65e69911ae911269e99e80e4fefb19a08
 WHIRLPOOL 
b726e9088dcf6e8e8d0cf06900cf6436f089af84e596079d8d0cafedb1963fd3b54a790e46b01d2fd62c70c1970d2ebbe66cb4af3fae9dda9988e09a4efe4919
+DIST lightdm-gtk-greeter-2.0.2.tar.gz 487825 SHA256 
8ee6d93d1d6837b3590f64ac4d5bac5db888a8861dff1cb2ef10f7816ad36690 SHA512 
6a9b62d3eb94a223df30c0e7ef577645482e63f9ac9cce6466518bb7eabfca3915dba8dbe66dee7456a1f11f81869dc8685b98828b11ae0dd67aa021a9a1d6db
 WHIRLPOOL 
406121b57bf8731b1a61a91f6696b9e68d6da178ca098d7778dc0bf29b183a4a3d0463658e1c04d03d28e31750eadf9b4acb054e6fc733d60508d314d8f1a579

diff --git a/x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.2.ebuild 
b/x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.2.ebuild
new file mode 100644
index 00000000..33d11f1
--- /dev/null
+++ b/x11-misc/lightdm-gtk-greeter/lightdm-gtk-greeter-2.0.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit versionator
+
+DESCRIPTION="LightDM GTK+ Greeter"
+HOMEPAGE="https://launchpad.net/lightdm-gtk-greeter";
+SRC_URI="https://launchpad.net/lightdm-gtk-greeter/$(get_version_component_range
 1-2)/${PV}/+download/${P}.tar.gz
+       branding? ( 
https://dev.gentoo.org/~hwoarang/distfiles/lightdm-gentoo-patch-2.tar.gz )"
+
+LICENSE="GPL-3 LGPL-3
+       branding? ( CC-BY-3.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="ayatana branding"
+
+COMMON_DEPEND="ayatana? ( dev-libs/libindicator:3 )
+       x11-libs/gtk+:3
+       >=x11-misc/lightdm-1.2.2"
+
+DEPEND="${COMMON_DEPEND}
+       sys-devel/gettext"
+
+RDEPEND="${COMMON_DEPEND}
+       x11-themes/gnome-themes-standard
+       || ( >=x11-themes/adwaita-icon-theme-3.14.1 x11-themes/gnome-icon-theme 
)"
+
+GENTOO_BG="gentoo-bg_65.jpg"
+
+src_prepare() {
+       # Ok, this has to be fixed in the tarball but I am too lazy to do it.
+       # I will fix this once I decide to update the tarball with a new gentoo
+       # background
+       # Bug #404467
+       if use branding; then
+               sed -i -e "/xft-hintstyle/s:slight:hintslight:" \
+                       "${WORKDIR}"/${PN}.conf || die
+       fi
+       default
+}
+
+src_configure() {
+       econf --enable-kill-on-sigterm \
+               $(use_enable ayatana libindicator)
+}
+
+src_install() {
+       default
+
+       if use branding; then
+               insinto /etc/lightdm/
+               doins "${WORKDIR}"/${PN}.conf
+               insinto /usr/share/lightdm/backgrounds/
+               doins "${WORKDIR}"/${GENTOO_BG}
+               sed -i -e \
+                       
"/background/s:=.*:=/usr/share/lightdm/backgrounds/${GENTOO_BG}:" \
+                       "${D}"/etc/lightdm/${PN}.conf || die
+               newdoc "${WORKDIR}"/README.txt README-background.txt
+       fi
+}

Reply via email to